> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add metadata array elements to existing prefix holders metadata of a specified notation

> This endpoint allows for the addition of array elements to the metadata arrays of existing prefix holders notation. Values are always added to the target array. Position can be provided to set where exactly in the array new values should be added. If element in the target position already exists the value is overwritten.



## OpenAPI

````yaml openapi/nethub-data.yaml patch /{tenantUUID}/prefixes/{notation}/metadata/array
openapi: 3.0.1
info:
  title: NetHub Data
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/nethub-data
security:
  - bearerAuth: []
tags:
  - name: prefixes
  - name: prefixes-metadata
  - name: prefixes-metadata-notation
  - name: prefixes-metadata-array
  - name: prefixes-metadata-array-notation
paths:
  /{tenantUUID}/prefixes/{notation}/metadata/array:
    patch:
      tags:
        - prefixes-metadata-array-notation
      summary: >-
        Add metadata array elements to existing prefix holders metadata of a
        specified notation
      description: >-
        This endpoint allows for the addition of array elements to the metadata
        arrays of existing prefix holders notation. Values are always added to
        the target array. Position can be provided to set where exactly in the
        array new values should be added. If element in the target position
        already exists the value is overwritten.
      operationId: patch-tenantuuid-prefixes-notation-metadata-array
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            type: string
        - name: notation
          in: path
          description: Prefix notation
          required: true
          schema:
            type: string
      requestBody:
        description: Request payload for adding elements to metadata arrays.
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/PrefixHolderMetadataArrayModifyItem'
            example:
              - pathToArray: string
                elements:
                  - {}
                position: 0
      responses:
        '200':
          description: Successful addition of metadata array elements.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PrefixHolderMetadata'
              example:
                - notation: string
                  ipNet:
                    ip: string
                    mask: string
                  maskSize: 0
                  type: 0
                  holderMetadata:
                    key1: value1
                    keyN: valueN
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
        '404':
          description: Not Found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
        '500':
          description: Internal Server Error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: string
                code: 0
                error: string
components:
  schemas:
    PrefixHolderMetadataArrayModifyItem:
      type: object
      properties:
        pathToArray:
          type: string
          description: The path to the metadata array in the holder.
        elements:
          type: array
          items:
            type: object
          description: The elements to add to the array.
        position:
          type: integer
          description: >-
            The position at which to add elements in the array. Only works with
            push. Optional.
    PrefixHolderMetadata:
      type: object
      properties:
        notation:
          type: string
        ipNet:
          $ref: '#/components/schemas/IPNet'
        maskSize:
          type: integer
        type:
          enum:
            - 0
            - 1
          type: integer
          description: 0 - IPv4, 1 - IPv6
        holderMetadata:
          $ref: '#/components/schemas/PrefixComponentHolderMetadata'
    Error:
      type: object
      properties:
        status:
          type: string
        code:
          type: integer
          format: int64
        error:
          type: string
    IPNet:
      type: object
      properties:
        ip:
          type: string
        mask:
          type: string
    PrefixComponentHolderMetadata:
      type: object
      additionalProperties:
        type: string
      example:
        key1: value1
        keyN: valueN
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````